com.smartgwt.client.types

## Enum AnimationEffect

- java.lang.Object
- - java.lang.Enum<AnimationEffect>
  - - com.smartgwt.client.types.AnimationEffect

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<AnimationEffect>

      public enum AnimationEffect
      extends java.lang.Enum<AnimationEffect>
      implements ValueEnum

  String specifying effect to apply during an animated show or hide.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FADE` widget's opacity smoothly fades into or out of view
    `FLY` widget moves into position from offscreen
    `SLIDE` content slides into or out of view as the widget grows or shrinks
    `WIPE` content is revealed or wiped as the widget grows or shrinks

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static AnimationEffect` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AnimationEffect[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SLIDE

          public static final AnimationEffect SLIDE

      content slides into or out of view as the widget grows or shrinks

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "slide".

    - #### WIPE

          public static final AnimationEffect WIPE

      content is revealed or wiped as the widget grows or shrinks

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "wipe".

    - #### FADE

          public static final AnimationEffect FADE

      widget's opacity smoothly fades into or out of view

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fade".

    - #### FLY

          public static final AnimationEffect FLY

      widget moves into position from offscreen

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fly".

  - ### Method Detail

    - #### values

          public static AnimationEffect[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AnimationEffect c : AnimationEffect.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AnimationEffect valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`